import request from '@/utils/request'

// 查询福袋发放及领取记录列表
export function listLuckyBagCollectRecord(query) {
  return request({
    url: '/qw/luckyBagCollectRecord/list',
    method: 'get',
    params: query
  })
}

// 查询福袋发放及领取记录详细
export function getLuckyBagCollectRecord(id) {
  return request({
    url: '/qw/luckyBagCollectRecord/' + id,
    method: 'get'
  })
}

// 新增福袋发放及领取记录
export function addLuckyBagCollectRecord(data) {
  return request({
    url: '/qw/luckyBagCollectRecord',
    method: 'post',
    data: data
  })
}

// 修改福袋发放及领取记录
export function updateLuckyBagCollectRecord(data) {
  return request({
    url: '/qw/luckyBagCollectRecord',
    method: 'put',
    data: data
  })
}

// 删除福袋发放及领取记录
export function delLuckyBagCollectRecord(id) {
  return request({
    url: '/qw/luckyBagCollectRecord/' + id,
    method: 'delete'
  })
}

// 导出福袋发放及领取记录
export function exportLuckyBagCollectRecord(query) {
  return request({
    url: '/qw/luckyBagCollectRecord/export',
    method: 'get',
    params: query
  })
}
